<template>
  <div :class="pageClass">
    <sa-navbar aria-label="Primary Navigation">
      <template v-slot:left>
        <h1>{{ pageTitle }}</h1>
      </template>
      <template v-slot:offcanvas>
        <sa-nav stacked>
          <sa-nav-item>
            <nuxt-link to="/samples">Samples</nuxt-link>
          </sa-nav-item>
          <sa-nav-item>
            <nuxt-link to="/studies">Studies</nuxt-link>
          </sa-nav-item>
        </sa-nav>
      </template>
    </sa-navbar>
    <nuxt />
  </div>
</template>
<script>
export default {
  computed: {
    pageClass() {
      return `${this.$route.name}-page`
    },
    pageTitle() {
      // Page meta is not added to this.$route
      // Recommended to use the store here: https://github.com/nuxt/nuxt.js/tree/dev/examples/routes-meta
      return this.$store.state.page.title
    }
  },
  middleware({ route, store }) {
    const titleMeta = route.meta.find((m) => m.title)
    store.commit('page/setTitle', titleMeta ? titleMeta.title : null)
  }
}
</script>
<style>
body {
  font-family: 'Apercu', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
    'Helvetica Neue', Arial, sans-serif;
  min-height: 100vh;
  padding: 2rem;
}
</style>
